/* SCCS @(#)LaboMorphoBin.layout.c	1.1  12/2/92 */
/************************************************************************/
/************************************************************************/
/*                                                                      */
/*                          LaboMorphoBin.layout.c                      */
/*                                                                      */
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* FILENAME     :   LaboMorphoBin.layout.c                              */
/*                                                                      */
/* DESCRIPTION  :   MORPHOLOGIE BINAIRE                                 */
/*                                                                      */
/* AUTHORS      :   Marianne Logean                                     */
/*                                                                      */
/* VERSION      :   1.0                                                 */
/*                                                                      */
/* HISTORY      :   1.12.92                                             */
/*                  MAL         Created    version: 1.0                 */
/*                                                                      */
/* Copyright  1992 by CUI/UIN/HCUG, All rights reserved.                */
/*                                                                      */
/************************************************************************/
/************************************************************************/


#include "LaboMorphoBin.layout.h"
#include "global.h"
#define MAX_ARGS 100

extern Widget Menu_Morpho_Binaire;

extern XmFontList gFontlist;
extern Pixel      glavender;

static Widget Quit_Morpho_Bin;

extern char *morphbintabs[];
extern char *menutabs[];
extern char *mmb2tabs[];
extern char *mmb3tabs[];
extern char *mmb4tabs[];
extern char *mmb5tabs[];
extern char *mmb6tabs[];
extern char *mmb7tabs[];

/********************************************************
/   Creation Function for Quit_Morpho_Bin 
/*******************************************************/

Widget
build_Quit_Morpho_Bin(labof22)
	Widget labof22;
{
	Widget Quit_Morpho_Bin;
	Arg args[MAX_ARGS];
	int n;

	/* Creating Quit_Morpho_Bin Widget */ 

	n = 0;
	XtSetArg(args[n],XmNdialogTitle, 
		XmStringLtoRCreate(panel_titres[181],
			XmSTRING_DEFAULT_CHARSET)); n++;
	XtSetArg(args[n],XmNlabelFontList, gFontlist); n++;
	XtSetArg(args[n],XmNbuttonFontList, gFontlist); n++;
	XtSetArg(args[n],XmNmessageString,
		XmStringLtoRCreate(panel_titres[1],
			XmSTRING_DEFAULT_CHARSET)); n++;
	XtSetArg(args[n],XmNshadowThickness,2); n++;
	XtSetArg(args[n],XmNx,12); n++;
	XtSetArg(args[n],XmNy,14); n++;

	Quit_Morpho_Bin = XmCreateInformationDialog(labof22,"Quit_Morpho_Bin",args,n);

	/* Adding Callbacks for Quit_Morpho_Bin */ 

	XtAddCallback(Quit_Morpho_Bin,XmNcancelCallback,Cancel_Morpho,NULL);
	XtAddCallback(Quit_Morpho_Bin,XmNokCallback,OKquitmorphobin,Menu_Morpho_Binaire);

	return(Quit_Morpho_Bin);
}

/********************************************************
/   Creation Function for Frame_5 
/*******************************************************/

void
build_MenuBar_6(MenuBar_6)
	Widget MenuBar_6;
{
	Widget logical_op_cascade;
	Widget Logical_PulldownMenu;
	Widget Label_9;
	Widget Separator_10;
	Widget logical_compl;
	Widget Logical_inter;
	Widget logical_uni;
	Widget Logical_sym;
	Widget Logical_diff;
	Widget Simple_cascade;
	Widget Simple_pulldown;
	Widget Label_18;
	Widget Separator_19;
	Widget Simple_ero;
	Widget Simple_cond_ero;
	Widget Simple_lin_ero;
	Widget Simple_dil;
	Widget Simple_cond_dila;
	Widget Simple_lin_dil;
	Widget Simple_opening;
	Widget Simple_closing;
	Widget Thinning_cascade;
	Widget Thinning_pulldown;
	Widget Simple_thin_Cascade;
	Widget Simple_pulldown_0;
	Widget Simple_thin_label;
	Widget Simple_thin_Separator;
	Widget Simple_thin_homL;
	Widget Simple_thin_homD;
	Widget Simple_thin_prun;
	Widget Simple_thin_bound;
	Widget Cond_thin_cascade;
	Widget Cond_thinn_PulldownMenu;
	Widget Cond_thin_Label;
	Widget Cond_thin_Separator;
	Widget Cond_thin_homL;
	Widget Cond_thin_homD;
	Widget Cond_thin_prun;
	Widget Thick_cascade;
	Widget Thick_PulldownMenu;
	Widget Simple_thick_Cascade;
	Widget Simple_thick_PulldownMenu;
	Widget Simple_thick_Label;
	Widget Simple_thick_Separator;
	Widget Simple_thick_isol;
	Widget Simple_thick_homL;
	Widget Simple_thick_homD;
	Widget Simple_thick_thickE;
	Widget Simple_thick_thickC;
	Widget Cond_thick_cascade;
	Widget Cond_thick_PulldownMenu;
	Widget Cond_thick_Label;
	Widget Cond_thick_Separator;
	Widget Cond_thick_isol;
	Widget Cond_thick_homL;
	Widget Cond_thick_homD;
	Widget Cond_thick_thickE;
	Widget Cond_thick_thickC;
	Widget hit_miss_CascadeButton;
	Widget hit_miss_PulldownMenu;
	Widget hit_miss_Label;
	Widget hit_miss_Separator;
	Widget hit_miss_end_points;
	Widget hit_miss_isol;
	Widget hit_miss_triple;
	Widget high_CascadeButton;
	Widget high_PulldownMenu;
	Widget high_label;
	Widget high_Separator;
	Widget high_bound;
	Widget high_elimin;
	Widget high_fill;
	Widget high_hom_skel;
	Widget high_hom_mark;
	Widget high_pseudo;
	Widget high_strong;
	Widget high_skele;
	Widget DISPLAY;
	Arg args[MAX_ARGS];
	int n;

/*	type_op = (xs_struc_morpho *) malloc (sizeof (xs_struc_morpho));*/


	/* Creating logical_op_cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNbackground, glavender); n++;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	logical_op_cascade = XmCreateCascadeButton(MenuBar_6,"logical_op_cascade",args,n);

	/* Adding Callbacks for logical_op_cascade */ 

	XtAddCallback(logical_op_cascade,XmNcascadingCallback, 
		      BinMorpho_logical_op_actcall, NULL);

	XtManageChild(logical_op_cascade);

	/* Creating Logical_PulldownMenu Widget */ 


	Logical_PulldownMenu = CreatePulldownMenu(logical_op_cascade,"Logical_PulldownMenu",NULL,0);

	/* Creating Label_9 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[43],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Label_9 = XmCreateLabel(Logical_PulldownMenu,"Label_9",args,n);
	XtManageChild(Label_9);

	/* Creating Separator_10 Widget */ 


	Separator_10 = XmCreateSeparator(Logical_PulldownMenu,"Separator_10",NULL,0);
	XtManageChild(Separator_10);

	/* Creating logical_compl Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb2tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	logical_compl = XmCreatePushButton(Logical_PulldownMenu,"logical_compl",args,n);
	XtManageChild(logical_compl);

	/* Adding Callbacks for logical_compl */ 

	XtAddCallback(logical_compl,XmNactivateCallback, create_parametres, 20);

	/* Creating Logical_inter Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb2tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Logical_inter = XmCreatePushButton(Logical_PulldownMenu,"Logical_inter",args,n);
	XtManageChild(Logical_inter);

	/* Adding Callbacks for Logical_com_inter */  


	XtAddCallback(Logical_inter,XmNactivateCallback, create_parametres, 21);


	/* Creating logical_uni Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb2tabs[3],
			XmSTRING_DEFAULT_CHARSET)); n++;

	logical_uni = XmCreatePushButton(Logical_PulldownMenu,"logical_uni",args,n);
	XtManageChild(logical_uni);

	/* Adding Callbacks for logical_uni */ 

	XtAddCallback(logical_uni,XmNactivateCallback, create_parametres, 22);


	/* Creating Logical_sym Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb2tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Logical_sym = XmCreatePushButton(Logical_PulldownMenu,"Logical_sym",args,n);
	XtManageChild(Logical_sym);

	/* Adding Callbacks for Logical_sym */ 

	XtAddCallback(Logical_sym,XmNactivateCallback, create_parametres, 23);

	/* Creating Logical_diff Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb2tabs[4],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Logical_diff = XmCreatePushButton(Logical_PulldownMenu,"Logical_diff",args,n);
	XtManageChild(Logical_diff);

	/* Adding Callbacks for Logical_diff */ 

	XtAddCallback(Logical_diff,XmNactivateCallback, create_parametres, 24);

	/* Creating Simple_cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNbackground, glavender); n++;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_cascade = XmCreateCascadeButton(MenuBar_6,"Simple_cascade",args,n);
	/* Adding Callbacks for Simple_cascade */ 

	XtAddCallback(Simple_cascade,XmNcascadingCallback, 
		      BinMorpho_simple_op_actcall,NULL);

	XtManageChild(Simple_cascade);

	/* Creating Simple_pulldown Widget */ 


	Simple_pulldown = CreatePulldownMenu(Simple_cascade,"Simple_pulldown",NULL,0);

	/* Creating Label_18 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[43],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Label_18 = XmCreateLabel(Simple_pulldown,"Label_18",args,n);
	XtManageChild(Label_18);

	/* Creating Separator_19 Widget */ 


	Separator_19 = XmCreateSeparator(Simple_pulldown,"Separator_19",NULL,0);
	XtManageChild(Separator_19);

	/* Creating Simple_ero Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[6],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_ero = XmCreatePushButton(Simple_pulldown,"Simple_ero",args,n);
	XtManageChild(Simple_ero);

	/* Adding Callbacks for Simple_ero */ 

	XtAddCallback(Simple_ero,XmNactivateCallback, create_parametres, 30);

	/* Creating Simple_cond_ero Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_cond_ero = XmCreatePushButton(Simple_pulldown,"Simple_cond_ero",args,n);
	XtManageChild(Simple_cond_ero);

	/* Adding Callbacks for Simple_cond_ero */ 

	XtAddCallback(Simple_cond_ero,XmNactivateCallback, create_parametres, 31);


	/* Creating Simple_lin_ero Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_lin_ero = XmCreatePushButton(Simple_pulldown,"Simple_lin_ero",args,n);
	XtManageChild(Simple_lin_ero);

	/* Adding Callbacks for Simple_lin_ero */ 

	XtAddCallback(Simple_lin_ero,XmNactivateCallback, create_parametres, 32);

	/* Creating Simple_dil Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[7],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_dil = XmCreatePushButton(Simple_pulldown,"Simple_dil",args,n);
	XtManageChild(Simple_dil);

	/* Adding Callbacks for Simple_dil */ 

	XtAddCallback(Simple_dil,XmNactivateCallback, create_parametres, 33);


	/* Creating Simple_cond_dila Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_cond_dila = XmCreatePushButton(Simple_pulldown,"Simple_cond_dila",args,n);
	XtManageChild(Simple_cond_dila);

	/* Adding Callbacks for Simple_cond_dila */ 

	XtAddCallback(Simple_cond_dila,XmNactivateCallback, create_parametres, 34);

	/* Creating Simple_lin_dil Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[3],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_lin_dil = XmCreatePushButton(Simple_pulldown,"Simple_lin_dil",args,n);
	XtManageChild(Simple_lin_dil);

	/* Adding Callbacks for Simple_lin_dil */ 

	XtAddCallback(Simple_lin_dil,XmNactivateCallback, create_parametres, 35);

	/* Creating Simple_opening Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[4],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_opening = XmCreatePushButton(Simple_pulldown,"Simple_opening",args,n);
	XtManageChild(Simple_opening);

	/* Adding Callbacks for Simple_opening */ 

	XtAddCallback(Simple_opening,XmNactivateCallback, create_parametres, 36);

	/* Creating Simple_closing Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb3tabs[5],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_closing = XmCreatePushButton(Simple_pulldown,"Simple_closing",args,n);
	XtManageChild(Simple_closing);

	/* Adding Callbacks for Simple_closing */ 

	XtAddCallback(Simple_closing,XmNactivateCallback, create_parametres, 37);

	/* Creating Thinning_cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNbackground, glavender); n++;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[3],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Thinning_cascade = XmCreateCascadeButton(MenuBar_6,"Thinning_cascade",args,n);
	XtManageChild(Thinning_cascade);

	/* Creating Thinning_pulldown Widget */ 


	Thinning_pulldown = CreatePulldownMenu(Thinning_cascade,"Thinning_pulldown",NULL,0);

	/* Creating Simple_thin_Cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[10],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thin_Cascade = XmCreateCascadeButton(Thinning_pulldown,"Simple_thin_Cascade",args,n);

	/* Adding Callbacks for Simple_thin_Cascade */ 

	XtAddCallback(Simple_thin_Cascade,XmNcascadingCallback, 
		      BinMorpho_thinning_simple_op_actcall,NULL);

	XtManageChild(Simple_thin_Cascade);

	/* Creating Simple_pulldown_0 Widget */ 


	Simple_pulldown_0 = CreatePulldownMenu(Simple_thin_Cascade,"Simple_pulldown_0",NULL,0);

	/* Creating Simple_thin_label Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[44],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thin_label = XmCreateLabel(Simple_pulldown_0,"Simple_thin_label",args,n);
	XtManageChild(Simple_thin_label);

	/* Creating Simple_thin_Separator Widget */ 


	Simple_thin_Separator = XmCreateSeparator(Simple_pulldown_0,"Simple_thin_Separator",NULL,0);
	XtManageChild(Simple_thin_Separator);

	/* Creating Simple_thin_homL Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb4tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thin_homL = XmCreatePushButton(Simple_pulldown_0,"Simple_thin_homL",args,n);
	XtManageChild(Simple_thin_homL);

	/* Adding Callbacks for Simple_thin_homL */ 

	XtAddCallback(Simple_thin_homL,XmNactivateCallback, create_parametres, 40);

	/* Creating Simple_thin_homD Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb4tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thin_homD = XmCreatePushButton(Simple_pulldown_0,"Simple_thin_homD",args,n);
	XtManageChild(Simple_thin_homD);

	/* Adding Callbacks for Simple_thin_homD */ 

	XtAddCallback(Simple_thin_homD,XmNactivateCallback, create_parametres, 41);

	/* Creating Simple_thin_prun Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb4tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thin_prun = XmCreatePushButton(Simple_pulldown_0,"Simple_thin_prun",args,n);
	XtManageChild(Simple_thin_prun);

	/* Adding Callbacks for Simple_thin_prun */ 

	XtAddCallback(Simple_thin_prun,XmNactivateCallback, create_parametres, 42);

	/* Creating Simple_thin_bound Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb4tabs[3],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thin_bound = XmCreatePushButton(Simple_pulldown_0,"Simple_thin_bound",args,n);
	XtManageChild(Simple_thin_bound);

	/* Adding Callbacks for Simple_thin_bound */ 

	XtAddCallback(Simple_thin_bound,XmNactivateCallback, create_parametres, 43);

	/* Creating Cond_thin_cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[4],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thin_cascade = XmCreateCascadeButton(Thinning_pulldown,"Cond_thin_cascade",args,n);
	/* Adding Callbacks for Cond_thin_cascade */ 

	XtAddCallback(Cond_thin_cascade,XmNcascadingCallback, 
		      BinMorpho_thinning_cond_op_actcall,NULL);

	XtManageChild(Cond_thin_cascade);

	/* Creating Cond_thinn_PulldownMenu Widget */ 


	Cond_thinn_PulldownMenu = CreatePulldownMenu(Cond_thin_cascade,"Cond_thinn_PulldownMenu",NULL,0);

	/* Creating Cond_thin_Label Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[44],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thin_Label = XmCreateLabel(Cond_thinn_PulldownMenu,"Cond_thin_Label",args,n);
	XtManageChild(Cond_thin_Label);

	/* Creating Cond_thin_Separator Widget */ 


	Cond_thin_Separator = XmCreateSeparator(Cond_thinn_PulldownMenu,"Cond_thin_Separator",NULL,0);
	XtManageChild(Cond_thin_Separator);

	/* Creating Cond_thin_homL Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb4tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thin_homL = XmCreatePushButton(Cond_thinn_PulldownMenu,"Cond_thin_homL",args,n);
	XtManageChild(Cond_thin_homL);

	/* Adding Callbacks for Cond_thin_homL */ 

	XtAddCallback(Cond_thin_homL,XmNactivateCallback, create_parametres, 80);

	/* Creating Cond_thin_homD Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb4tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thin_homD = XmCreatePushButton(Cond_thinn_PulldownMenu,"Cond_thin_homD",args,n);
	XtManageChild(Cond_thin_homD);

	/* Adding Callbacks for Cond_thin_homD */ 

	XtAddCallback(Cond_thin_homD,XmNactivateCallback, create_parametres, 81);

	/* Creating Cond_thin_prun Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb4tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thin_prun = XmCreatePushButton(Cond_thinn_PulldownMenu,"Cond_thin_prun",args,n);
	XtManageChild(Cond_thin_prun);

	/* Adding Callbacks for Cond_thin_prun */ 

	XtAddCallback(Cond_thin_prun,XmNactivateCallback, create_parametres, 82);

	/* Creating Thick_cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNbackground, glavender); n++;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[5],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Thick_cascade = XmCreateCascadeButton(MenuBar_6,"Thick_cascade",args,n);
	XtManageChild(Thick_cascade);

	/* Creating Thick_PulldownMenu Widget */ 


	Thick_PulldownMenu = CreatePulldownMenu(Thick_cascade,"Thick_PulldownMenu",NULL,0);

	/* Creating Simple_thick_Cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate (morphbintabs[11],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thick_Cascade = XmCreateCascadeButton(Thick_PulldownMenu,"Simple_thick_Cascade",args,n);

	/* Adding Callbacks for Simple_thin_Cascade */ 

	XtAddCallback(Simple_thick_Cascade,XmNcascadingCallback, 
		      BinMorpho_thicking_simple_op_actcall,NULL);

	XtManageChild(Simple_thick_Cascade);

	/* Creating Simple_thick_PulldownMenu Widget */ 


	Simple_thick_PulldownMenu = CreatePulldownMenu(Simple_thick_Cascade,"Simple_thick_PulldownMenu",NULL,0);

	/* Creating Simple_thick_Label Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[45],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thick_Label = XmCreateLabel(Simple_thick_PulldownMenu,"Simple_thick_Label",args,n);
	XtManageChild(Simple_thick_Label);

	/* Creating Simple_thick_Separator Widget */ 


	Simple_thick_Separator = XmCreateSeparator(Simple_thick_PulldownMenu,"Simple_thick_Separator",NULL,0);
	XtManageChild(Simple_thick_Separator);

	/* Creating Simple_thick_isol Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thick_isol = XmCreatePushButton(Simple_thick_PulldownMenu,"Simple_thick_isol",args,n);
	XtManageChild(Simple_thick_isol);

	/* Adding Callbacks for Simple_thick_isol */ 

	XtAddCallback(Simple_thick_isol,XmNactivateCallback, create_parametres, 50);

	/* Creating Simple_thick_homL Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thick_homL = XmCreatePushButton(Simple_thick_PulldownMenu,"Simple_thick_homL",args,n);
	XtManageChild(Simple_thick_homL);

	/* Adding Callbacks for Simple_thick_homL */ 

	XtAddCallback(Simple_thick_homL,XmNactivateCallback, create_parametres, 51);

	/* Creating Simple_thick_homD Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thick_homD = XmCreatePushButton(Simple_thick_PulldownMenu,"Simple_thick_homD",args,n);
	XtManageChild(Simple_thick_homD);

	/* Adding Callbacks for Simple_thick_homD */ 

	XtAddCallback(Simple_thick_homD,XmNactivateCallback, create_parametres, 52);

	/* Creating Simple_thick_thickE Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[3],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thick_thickE = XmCreatePushButton(Simple_thick_PulldownMenu,"Simple_thick_thickE",args,n);
	XtManageChild(Simple_thick_thickE);

	/* Adding Callbacks for Simple_thick_thickE */ 

	XtAddCallback(Simple_thick_thickE,XmNactivateCallback, create_parametres, 53);

	/* Creating Simple_thick_thickC Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[4],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Simple_thick_thickC = XmCreatePushButton(Simple_thick_PulldownMenu,"Simple_thick_thickC",args,n);
	XtManageChild(Simple_thick_thickC);

	/* Adding Callbacks for Simple_thick_thickC */ 

	XtAddCallback(Simple_thick_thickC,XmNactivateCallback, create_parametres, 54);

	/* Creating Cond_thick_cascade Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[6],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thick_cascade = XmCreateCascadeButton(Thick_PulldownMenu,"Cond_thick_cascade",args,n);

	/* Adding Callbacks for Cond_thick_cascade */ 

	XtAddCallback(Cond_thick_cascade,XmNcascadingCallback, 
		      BinMorpho_thicking_cond_op_actcall,NULL);

	XtManageChild(Cond_thick_cascade);

	/* Creating Cond_thick_PulldownMenu Widget */ 

	Cond_thick_PulldownMenu = CreatePulldownMenu(Cond_thick_cascade,"Cond_thick_PulldownMenu",NULL,0);

	/* Creating Cond_thick_Label Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[45],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thick_Label = XmCreateLabel(Cond_thick_PulldownMenu,"Cond_thick_Label",args,n);
	XtManageChild(Cond_thick_Label);

	/* Creating Cond_thick_Separator Widget */ 


	Cond_thick_Separator = XmCreateSeparator(Cond_thick_PulldownMenu,"Cond_thick_Separator",NULL,0);
	XtManageChild(Cond_thick_Separator);

	/* Creating Cond_thick_isol Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thick_isol = XmCreatePushButton(Cond_thick_PulldownMenu,"Cond_thick_isol",args,n);
	XtManageChild(Cond_thick_isol);

	/* Adding Callbacks for Cond_thick_isol */ 

	XtAddCallback(Cond_thick_isol,XmNactivateCallback, create_parametres, 90);

	/* Creating Cond_thick_homL Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thick_homL = XmCreatePushButton(Cond_thick_PulldownMenu,"Cond_thick_homL",args,n);
	XtManageChild(Cond_thick_homL);

	/* Adding Callbacks for Cond_thick_homL */ 

	XtAddCallback(Cond_thick_homL,XmNactivateCallback, create_parametres, 91);

	/* Creating Cond_thick_homD Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thick_homD = XmCreatePushButton(Cond_thick_PulldownMenu,"Cond_thick_homD",args,n);
	XtManageChild(Cond_thick_homD);

	/* Adding Callbacks for Cond_thick_homD */ 

	XtAddCallback(Cond_thick_homD,XmNactivateCallback, create_parametres, 92);

	/* Creating Cond_thick_thickE Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[3],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thick_thickE = XmCreatePushButton(Cond_thick_PulldownMenu,"Cond_thick_thickE",args,n);
	XtManageChild(Cond_thick_thickE);

	/* Adding Callbacks for Cond_thick_thickE */ 

	XtAddCallback(Cond_thick_thickE,XmNactivateCallback, create_parametres, 93);

	/* Creating Cond_thick_thickC Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb5tabs[4],
			XmSTRING_DEFAULT_CHARSET)); n++;

	Cond_thick_thickC = XmCreatePushButton(Cond_thick_PulldownMenu,"Cond_thick_thickC",args,n);
	XtManageChild(Cond_thick_thickC);

	/* Adding Callbacks for Cond_thick_thickC */ 

	XtAddCallback(Cond_thick_thickC,XmNactivateCallback, create_parametres, 94);


	/* Creating hit_miss_CascadeButton Widget */ 

	n = 0;
	XtSetArg(args[n],XmNbackground, glavender); n++;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[7],
			XmSTRING_DEFAULT_CHARSET)); n++;

	hit_miss_CascadeButton = XmCreateCascadeButton(MenuBar_6,"hit_miss_CascadeButton",args,n);

	/* Adding Callbacks for hit_miss_CascadeButton */ 

	XtAddCallback(hit_miss_CascadeButton,XmNcascadingCallback, 
		      BinMorpho_hit_miss_op_actcall,NULL);

	XtManageChild(hit_miss_CascadeButton);

	/* Creating hit_miss_PulldownMenu Widget */ 


	hit_miss_PulldownMenu = CreatePulldownMenu(hit_miss_CascadeButton,"hit_miss_PulldownMenu",NULL,0);

	/* Creating hit_miss_Label Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[46],
			XmSTRING_DEFAULT_CHARSET)); n++;

	hit_miss_Label = XmCreateLabel(hit_miss_PulldownMenu,"hit_miss_Label",args,n);
	XtManageChild(hit_miss_Label);

	/* Creating hit_miss_Separator Widget */ 


	hit_miss_Separator = XmCreateSeparator(hit_miss_PulldownMenu,"hit_miss_Separator",NULL,0);
	XtManageChild(hit_miss_Separator);

	/* Creating hit_miss_end_points Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb6tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	hit_miss_end_points = XmCreatePushButton(hit_miss_PulldownMenu,"hit_miss_end_points",args,n);
	XtManageChild(hit_miss_end_points);

	/* Adding Callbacks for hit_miss_end_points */ 

	XtAddCallback(hit_miss_end_points,XmNactivateCallback, create_parametres, 61);

	/* Creating hit_miss_isol Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb6tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	hit_miss_isol = XmCreatePushButton(hit_miss_PulldownMenu,"hit_miss_isol",args,n);
	XtManageChild(hit_miss_isol);

	/* Adding Callbacks for hit_miss_isol */ 

	XtAddCallback(hit_miss_isol,XmNactivateCallback, create_parametres, 62);

	/* Creating hit_miss_triple Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb6tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	hit_miss_triple = XmCreatePushButton(hit_miss_PulldownMenu,"hit_miss_triple",args,n);
	XtManageChild(hit_miss_triple);

	/* Adding Callbacks for hit_miss_triple */ 

	XtAddCallback(hit_miss_triple,XmNactivateCallback, create_parametres, 63);

	/* Creating high_CascadeButton Widget */ 

	n = 0;
	XtSetArg(args[n],XmNbackground, glavender); n++;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[8],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_CascadeButton = XmCreateCascadeButton(MenuBar_6,"high_CascadeButton",args,n);

	/* Adding Callbacks for high_CascadeButton */ 

	XtAddCallback(high_CascadeButton,XmNcascadingCallback, 
		      BinMorpho_high_op_actcall,NULL);

	XtManageChild(high_CascadeButton);

	/* Creating high_PulldownMenu Widget */ 


	high_PulldownMenu = CreatePulldownMenu(high_CascadeButton,"high_PulldownMenu",NULL,0);

	/* Creating high_label Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(menutabs[47],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_label = XmCreateLabel(high_PulldownMenu,"high_label",args,n);
	XtManageChild(high_label);

	/* Creating high_Separator Widget */ 


	high_Separator = XmCreateSeparator(high_PulldownMenu,"high_Separator",NULL,0);
	XtManageChild(high_Separator);

	/* Creating high_bound Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_bound = XmCreatePushButton(high_PulldownMenu,"high_bound",args,n);
	XtManageChild(high_bound);

	/* Adding Callbacks for high_bound */ 

	XtAddCallback(high_bound,XmNactivateCallback, create_parametres, 70);

	/* Creating high_elimin Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[1],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_elimin = XmCreatePushButton(high_PulldownMenu,"high_elimin",args,n);
	XtManageChild(high_elimin);

	/* Adding Callbacks for high_elimin */ 

	XtAddCallback(high_elimin,XmNactivateCallback, create_parametres, 71);

	/* Creating high_fill Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[2],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_fill = XmCreatePushButton(high_PulldownMenu,"high_fill",args,n);
	XtManageChild(high_fill);

	/* Adding Callbacks for high_fill */ 

	XtAddCallback(high_fill,XmNactivateCallback, create_parametres, 72);

	/* Creating high_hom_skel Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[3],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_hom_skel = XmCreatePushButton(high_PulldownMenu,"high_hom_skel",args,n);
	XtManageChild(high_hom_skel);

	/* Adding Callbacks for high_hom_skel */ 

	XtAddCallback(high_hom_skel,XmNactivateCallback, create_parametres, 73);

	/* Creating high_hom_mark Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[4],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_hom_mark = XmCreatePushButton(high_PulldownMenu,"high_hom_mark",args,n);
	XtManageChild(high_hom_mark);

	/* Adding Callbacks for high_hom_mark */ 

	XtAddCallback(high_hom_mark,XmNactivateCallback, create_parametres, 74);

	/* Creating high_pseudo Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[5],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_pseudo = XmCreatePushButton(high_PulldownMenu,"high_pseudo",args,n);
	XtManageChild(high_pseudo);

	/* Adding Callbacks for high_pseudo */ 

	XtAddCallback(high_pseudo,XmNactivateCallback, create_parametres, 75);

	/* Creating high_strong Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[6],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_strong = XmCreatePushButton(high_PulldownMenu,"high_strong",args,n);
	XtManageChild(high_strong);

	/* Adding Callbacks for high_strong */ 

	XtAddCallback(high_strong,XmNactivateCallback, create_parametres, 76);

	/* Creating high_skele Widget */ 

	n = 1;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(mmb7tabs[7],
			XmSTRING_DEFAULT_CHARSET)); n++;

	high_skele = XmCreatePushButton(high_PulldownMenu,"high_skele",args,n);
	XtManageChild(high_skele);

	/* Adding Callbacks for high_skele */ 

	XtAddCallback(high_skele,XmNactivateCallback, create_parametres, 77);

	/* Creating DISPLAY Widget */ 

	n = 0;
	XtSetArg(args[n],XmNbackground, glavender); n++;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(morphbintabs[0],
			XmSTRING_DEFAULT_CHARSET)); n++;

	DISPLAY = XmCreateCascadeButton(MenuBar_6,"DISPLAY",args,n);
	XtManageChild(DISPLAY);

	/* Adding Callbacks for DISPLAY */ 

	XtAddCallback(DISPLAY,XmNactivateCallback,
				DISPLAYbin_actcall, NULL);


}


